### Class

# WPEPlatformWayland ScreenWayland

#### Description

    final class WPEPlatformWayland.ScreenWayland : WPEPlatform.Screen
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEScreen
- GObject

#### Instance methods

###### wpe_screen_wayland_get_wl_output

Get the Wayland output of `screen`.

##### Methods inherited from WPEScreen (15)

###### wpe_screen_get_height

Get the height of `screen` in logical coordinates.

###### wpe_screen_get_id

Get the `screen` identifier. The idenifier is a non-zero value to uniquely identify a `WPEScreen`.

###### wpe_screen_get_physical_height

Get the physical height of `screen` in millimeters.

###### wpe_screen_get_physical_width

Get the physical width of `screen` in millimeters.

###### wpe_screen_get_refresh_rate

Get the refresh rate of `screen` in milli-Hertz.

###### wpe_screen_get_scale

Get the `screen` scale factor.

###### wpe_screen_get_width

Get the width of `screen` in logical coordinates.

###### wpe_screen_get_x

Get the x coordinate of the `screen` position in logical coordinates.

###### wpe_screen_get_y

Get the y coordinate of the `screen` position in logical coordinates.

###### wpe_screen_invalidate

Invalidate `screen`. This will release all the platform resources associated with `screen`. The properties cached will not be modified so they are still available after invalidation.

###### wpe_screen_set_physical_size

Set the physical size of `screen` in millimeters.

###### wpe_screen_set_position

Set the position of `screen` in logical coordinates.

###### wpe_screen_set_refresh_rate

Set the refresh rate of `screen` in milli-Hertz.

###### wpe_screen_set_scale

Set the `screen` scale factor.

###### wpe_screen_set_size

Set the size of `screen` in logical coordinates.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEScreen (9)

###### WPEPlatform.Screen:height

The height of the screen in logical coordinates.

###### WPEPlatform.Screen:id

The identifier of the screen.

###### WPEPlatform.Screen:physical-height

The physical height of the screen in millimeters.

###### WPEPlatform.Screen:physical-width

The physical width of the screen in millimeters.

###### WPEPlatform.Screen:refresh-rate

The refresh rate of the screen in milli-Hertz.

###### WPEPlatform.Screen:scale

The scale factor for the screen.

###### WPEPlatform.Screen:width

The width of the screen in logical coordinates.

###### WPEPlatform.Screen:x

The x coordinate of the screen position in logical coordinates.

###### WPEPlatform.Screen:y

The y coordinate of the screen position in logical coordinates.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformWaylandScreenWaylandClass {
      WPEScreenClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEScreenClass`

  No description available.